Package org.drinkless.tdlib

# Class TdApi.GetForumTopics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ForumTopics>
org.drinkless.tdlib.TdApi.GetForumTopics

Enclosing class:
  TdApi

public static class TdApi.GetForumTopics extends TdApi.Function<TdApi.ForumTopics>
Returns found forum topics in a forum chat. This is a temporary method for getting information about topic list from the server.

Returns `ForumTopics`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the forum chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of forum topics to be returned; up to 100.
  `int`
  `offsetDate`
  The date starting from which the results need to be fetched.
  `long`
  `offsetMessageId`
  The message identifier of the last message in the last found topic, or 0 for the first request.
  `long`
  `offsetMessageThreadId`
  The message thread identifier of the last found topic, or 0 for the first request.
  `String`
  `query`
  Query to search for in the forum topic's name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetForumTopics()`
  Default constructor for a function, which returns found forum topics in a forum chat.
  `GetForumTopics(long chatId, String query, int offsetDate, long offsetMessageId, long offsetMessageThreadId, int limit)`
  Creates a function, which returns found forum topics in a forum chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the forum chat.

  - ### query

    public String query
    Query to search for in the forum topic's name.

  - ### offsetDate

    public int offsetDate
    The date starting from which the results need to be fetched. Use 0 or any date in the future to get results from the last topic.

  - ### offsetMessageId

    public long offsetMessageId
    The message identifier of the last message in the last found topic, or 0 for the first request.

  - ### offsetMessageThreadId

    public long offsetMessageThreadId
    The message thread identifier of the last found topic, or 0 for the first request.

  - ### limit

    public int limit
    The maximum number of forum topics to be returned; up to 100. For optimal performance, the number of returned forum topics is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetForumTopics

    public GetForumTopics()
    Default constructor for a function, which returns found forum topics in a forum chat. This is a temporary method for getting information about topic list from the server.

    Returns `ForumTopics`

  - ### GetForumTopics

    public GetForumTopics(long chatId, String query, int offsetDate, long offsetMessageId, long offsetMessageThreadId, int limit)
    Creates a function, which returns found forum topics in a forum chat. This is a temporary method for getting information about topic list from the server.

    Returns `ForumTopics`

    Parameters:
      `chatId` - Identifier of the forum chat.
      `query` - Query to search for in the forum topic's name.
      `offsetDate` - The date starting from which the results need to be fetched. Use 0 or any date in the future to get results from the last topic.
      `offsetMessageId` - The message identifier of the last message in the last found topic, or 0 for the first request.
      `offsetMessageThreadId` - The message thread identifier of the last found topic, or 0 for the first request.
      `limit` - The maximum number of forum topics to be returned; up to 100. For optimal performance, the number of returned forum topics is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ForumTopics>`
    Returns:
      this.CONSTRUCTOR